require 'test_helper'

class MessageHeadersControllerTest < ActionController::TestCase
  setup do
    @message_header = message_headers(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:message_headers)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create message_header" do
    assert_difference('MessageHeader.count') do
      post :create, message_header: { account_id: @message_header.account_id, message_id: @message_header.message_id, name: @message_header.name, value: @message_header.value }
    end

    assert_redirected_to message_header_path(assigns(:message_header))
  end

  test "should show message_header" do
    get :show, id: @message_header
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @message_header
    assert_response :success
  end

  test "should update message_header" do
    patch :update, id: @message_header, message_header: { account_id: @message_header.account_id, message_id: @message_header.message_id, name: @message_header.name, value: @message_header.value }
    assert_redirected_to message_header_path(assigns(:message_header))
  end

  test "should destroy message_header" do
    assert_difference('MessageHeader.count', -1) do
      delete :destroy, id: @message_header
    end

    assert_redirected_to message_headers_path
  end
end
