require 'test_helper'

class MessageHeaderTest < ActiveSupport::TestCase
  test "message header is instansiable" do
    msgheader = MessageHeader.create name: "a name", value: "a value"
    assert_equal msgheader.name, "a name"
  end

  test "message header should have a value" do
    msgheader = MessageHeader.create value: "test"
    assert_equal msgheader.value,"test"
  end

  test "message header should deliver named fields" do
    msgheader = MessageHeader.create from: "walther@alco.dk"
    msgheader = MessageHeader.last
    assert_equal msgheader.name, "from"
    assert_equal msgheader.value,"walther@alco.dk"
  end

  test "message header should understand email address notation" do
    msgheader = MessageHeader.create bcc: "Walther Diechmann <walther@alco.dk>"
    msgheader = MessageHeader.last
    assert_equal msgheader.name, "bcc"
    assert_equal msgheader.value,"Walther Diechmann <walther@alco.dk>"
  end

end
